> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/update-strategy/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Update a strategy type PUT https://app.unleash-instance.example.com/api/admin/strategies/{name} Content-Type: application/json Updates the specified strategy type. Any properties not specified in the request body are left untouched. Reference: https://docs.getunleash.io/api/update-strategy ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `name` (string, required) ### Body (application/json) This endpoint expects an updateStrategySchema. - `parameters` (list of UpdateStrategySchemaParametersItems, required) — The parameter list lets you pass arguments to your custom activation strategy. These will be made available to your custom strategy implementation. - `description` (string, optional) — A description of the strategy type. ## Response ### 200 This response has no body. ## Errors ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 404 Not Found Error The requested resource was not found. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 415 Unsupported Media Type Error The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### UpdateStrategySchemaParametersItems - `name` (string, required) — The name of the parameter - `type` (enum, required) — The [type of the parameter](https://docs.getunleash.io/concepts/activation-strategies#parameters) - Allowed values: `string`, `percentage`, `list`, `number`, `boolean` - `description` (string, optional) — A description of this strategy parameter. Use this to indicate to the users what the parameter does. - `required` (boolean, optional) — Whether this parameter must be configured when using the strategy. Defaults to `false` ## Examples **Request** ```json { "parameters": [ { "name": "Rollout percentage", "type": "percentage" } ] } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/strategies/name" payload = { "parameters": [ { "name": "Rollout percentage", "type": "percentage" } ] } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/strategies/name'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"parameters":[{"name":"Rollout percentage","type":"percentage"}]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/strategies/name" payload := strings.NewReader("{\n \"parameters\": [\n {\n \"name\": \"Rollout percentage\",\n \"type\": \"percentage\"\n }\n ]\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/strategies/name") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"parameters\": [\n {\n \"name\": \"Rollout percentage\",\n \"type\": \"percentage\"\n }\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/strategies/name") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"parameters\": [\n {\n \"name\": \"Rollout percentage\",\n \"type\": \"percentage\"\n }\n ]\n}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/strategies/name', [ 'body' => '{ "parameters": [ { "name": "Rollout percentage", "type": "percentage" } ] }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/strategies/name"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"parameters\": [\n {\n \"name\": \"Rollout percentage\",\n \"type\": \"percentage\"\n }\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["parameters": [ [ "name": "Rollout percentage", "type": "percentage" ] ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/strategies/name")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```